com.sun.syndication.io

## Class ParsingFeedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.sun.syndication.io.FeedException
      - - com.sun.syndication.io.ParsingFeedException

All Implemented Interfaces:
  java.io.Serializable

    public class ParsingFeedException
    extends FeedException

Exception thrown by WireFeedInput instance if it can not parse a feed.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ParsingFeedException(java.lang.String msg)` Creates a FeedException with a message.
`ParsingFeedException(java.lang.String msg, java.lang.Throwable rootCause)` Creates a FeedException with a message and a root cause exception.

### Method Summary

Methods
`int` `getColumnNumber()` Returns the column number of the end of the text where the parse error occurred.
`int` `getLineNumber()` Returns the line number of the end of the text where the parse error occurred.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ParsingFeedException

    public ParsingFeedException(java.lang.String msg)

Creates a FeedException with a message.

Parameters:
  `msg` - exception message.

#### ParsingFeedException

    public ParsingFeedException(java.lang.String msg,
                        java.lang.Throwable rootCause)

Creates a FeedException with a message and a root cause exception.

Parameters:
  `msg` - exception message.
  `rootCause` - root cause exception.

### Method Detail

#### getLineNumber

    public int getLineNumber()

Returns the line number of the end of the text where the parse error occurred.

The first line in the document is line 1.

Returns:
  an integer representing the line number, or -1 if the information is not available.

#### getColumnNumber

    public int getColumnNumber()

Returns the column number of the end of the text where the parse error occurred.

The first column in a line is position 1.

Returns:
  an integer representing the column number, or -1 if the information is not available.